---
title: Get the current status of an interconnect object
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Network Interconnects](https://developers.cloudflare.com/api/python/resources/network_interconnects)

[Interconnects](https://developers.cloudflare.com/api/python/resources/network_interconnects/subresources/interconnects)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Get the current status of an interconnect object

network\_interconnects.interconnects.status(stricon, InterconnectStatusParams\*\*kwargs) -> [InterconnectStatusResponse](<https://developers.cloudflare.com/api/python/resources/network_interconnects#(resource)%20network_interconnects.interconnects%20%3E%20(model)%20interconnect_status_response%20%3E%20(schema)>)

GET/accounts/{account\_id}/cni/interconnects/{icon}/status

Gets the current operational status of a network interconnect, including link state and traffic metrics.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Magic WAN Write``Magic WAN Read``Magic Transit Read``Magic Transit Write`

##### ParametersExpand Collapse

account\_id: str

Customer account tag

[Link to this property](<#(resource)%20network_interconnects.interconnects%20%3E%20(method)%20status%20%3E%20(params)%20default%20%3E%20(param)%20account_id%20%3E%20(schema)>)

icon: str

[Link to this property](<#(resource)%20network_interconnects.interconnects%20%3E%20(method)%20status%20%3E%20(params)%20default%20%3E%20(param)%20icon%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

<a href="https://developers.cloudflare.com/api/python/resources/network_interconnects#(resource)%20network_interconnects.interconnects%20%3E%20(model)%20interconnect_status_response%20%3E%20(schema)">InterconnectStatusResponse</a>

</summary>

One of the following:

<details>

<summary>

class Pending: …

</summary>

state: Literal\["Pending"]

<a href="#(resource)%20network_interconnects.interconnects%20%3E%20(model)%20interconnect_status_response%20%3E%20(schema)%20%3E%20(variant)%200%20%3E%20(property)%20state">Link to this property</a>

</details>

<a href="#(resource)%20network_interconnects.interconnects%20%3E%20(model)%20interconnect_status_response%20%3E%20(schema)%20%3E%20(variant)%200">Link to this property</a>

<details>

<summary>

class Down: …

</summary>

state: Literal\["Down"]

<a href="#(resource)%20network_interconnects.interconnects%20%3E%20(model)%20interconnect_status_response%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20state">Link to this property</a>

reason: Optional\[str]

Diagnostic information, if available

<a href="#(resource)%20network_interconnects.interconnects%20%3E%20(model)%20interconnect_status_response%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20reason">Link to this property</a>

</details>

<a href="#(resource)%20network_interconnects.interconnects%20%3E%20(model)%20interconnect_status_response%20%3E%20(schema)%20%3E%20(variant)%201">Link to this property</a>

<details>

<summary>

class Unhealthy: …

</summary>

state: Literal\["Unhealthy"]

<a href="#(resource)%20network_interconnects.interconnects%20%3E%20(model)%20interconnect_status_response%20%3E%20(schema)%20%3E%20(variant)%202%20%3E%20(property)%20state">Link to this property</a>

reason: Optional\[str]

Diagnostic information, if available

<a href="#(resource)%20network_interconnects.interconnects%20%3E%20(model)%20interconnect_status_response%20%3E%20(schema)%20%3E%20(variant)%202%20%3E%20(property)%20reason">Link to this property</a>

</details>

<a href="#(resource)%20network_interconnects.interconnects%20%3E%20(model)%20interconnect_status_response%20%3E%20(schema)%20%3E%20(variant)%202">Link to this property</a>

<details>

<summary>

class Healthy: …

</summary>

state: Literal\["Healthy"]

<a href="#(resource)%20network_interconnects.interconnects%20%3E%20(model)%20interconnect_status_response%20%3E%20(schema)%20%3E%20(variant)%203%20%3E%20(property)%20state">Link to this property</a>

</details>

<a href="#(resource)%20network_interconnects.interconnects%20%3E%20(model)%20interconnect_status_response%20%3E%20(schema)%20%3E%20(variant)%203">Link to this property</a>

</details>

[Link to this property](<#(resource)%20network_interconnects.interconnects%20%3E%20(model)%20interconnect_status_response%20%3E%20(schema)>)

### Get the current status of an interconnect object

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.network_interconnects.interconnects.status(
    icon="icon",
    account_id="account_id",
)
print(response)
```

200 example

```
{
  "state": "Pending"
}
```

##### Returns Examples

200 example

```
{
  "state": "Pending"
}
```